> ## Documentation Index
> Fetch the complete documentation index at: https://docs.posy.page/llms.txt
> Use this file to discover all available pages before exploring further.

# Check a username

> Check if a username is available



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/username
openapi: 3.1.0
info:
  title: Posy API
  version: '1'
  description: >-
    Make and edit a Posy link-in-bio page. Everything edits the draft until you
    call publish.
servers:
  - url: https://posy.page
    description: posy.page (or your own server)
security: []
paths:
  /api/v1/username:
    get:
      summary: Check a username
      description: Check if a username is available
      operationId: check-a-username
      parameters:
        - name: check
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '{ ok: boolean, reason?: string }'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.